import request from "@/utils/request";

// 获得供应商下拉列表
export function getOutSourceSupplerList(query) {
  return request({
    url: "/rtkerp/supplier/supplierList",
    method: "get",
    params: query,
  });
}

// 获得委外支援档列表
export function getSynDetailListPage(query) {
  return request({
    url: "/rtkerp/out-source-bom-detail/synDetailListPage",
    method: "get",
    params: query,
  });
}

// 生成委外备料单
export function createSysthicalSend(data) {
  return request({
    url: "/rtkwms/synthetical-send-master/create",
    method: "post",
    data: data,
  });
}

// 生成发料单
export function CreateConfirmSend(data) {
  return request({
    url: "/rtkwms/synthetical-send-master/confirmSend",
    method: "post",
    data: data,
  });
}
